# eric7.Plugins.VcsPlugins.vcsGit.GitBundleDialog

Module implementing a dialog to enter the data for a bundle operation.

### Global Attributes

None

### Classes

GitBundleDialog | Class implementing a dialog to enter the data for a bundle operation.

### Functions

None

## GitBundleDialog

Class implementing a dialog to enter the data for a bundle operation.

### Derived from

QDialog, Ui_GitBundleDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitBundleDialog | Constructor
__updateOK | Private slot to update the OK button.
getData | Public method to retrieve the bundle data.
on_branchButton_toggled | Private slot to handle changes of the Branch select button.
on_branchCombo_editTextChanged | Private slot to handle changes of the Branch combo.
on_revisionsButton_toggled | Private slot to handle changes of the revisions select button.
on_revisionsEdit_textChanged | Private slot to handle changes of the Revisions edit.
on_tagButton_toggled | Private slot to handle changes of the Tag select button.
on_tagCombo_editTextChanged | Private slot to handle changes of the Tag combo.

### Static Methods

None

#### GitBundleDialog (Constructor)

GitBundleDialog(tagsList, branchesList, parent=None)

Constructor

tagsList
  list of tags (list of strings)
branchesList
  list of branches (list of strings)
parent
  parent widget (QWidget)

#### GitBundleDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### GitBundleDialog.getData

getData()

Public method to retrieve the bundle data.

Return:
  list of revision expressions (list of strings)

#### GitBundleDialog.on_branchButton_toggled

on_branchButton_toggled(checked)

Private slot to handle changes of the Branch select button.

checked
  state of the button (boolean)

#### GitBundleDialog.on_branchCombo_editTextChanged

on_branchCombo_editTextChanged(txt)

Private slot to handle changes of the Branch combo.

txt
  text of the combo (string)

#### GitBundleDialog.on_revisionsButton_toggled

on_revisionsButton_toggled(checked)

Private slot to handle changes of the revisions select button.

checked
  state of the button (boolean)

#### GitBundleDialog.on_revisionsEdit_textChanged

on_revisionsEdit_textChanged(txt)

Private slot to handle changes of the Revisions edit.

txt
  text of the line edit (string)

#### GitBundleDialog.on_tagButton_toggled

on_tagButton_toggled(checked)

Private slot to handle changes of the Tag select button.

checked
  state of the button (boolean)

#### GitBundleDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(txt)

Private slot to handle changes of the Tag combo.

txt
  text of the combo (string)

Up